# Source code for azure.applicationinsights.models.events_exception_details_parsed_stack_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class EventsExceptionDetailsParsedStack(Model):
        """A parsed stack entry.

        :param assembly: The assembly of the stack entry
        :type assembly: str
        :param method: The method of the stack entry
        :type method: str
        :param level: The level of the stack entry
        :type level: long
        :param line: The line of the stack entry
        :type line: long
        """

        _attribute_map = {
            'assembly': {'key': 'assembly', 'type': 'str'},
            'method': {'key': 'method', 'type': 'str'},
            'level': {'key': 'level', 'type': 'long'},
            'line': {'key': 'line', 'type': 'long'},
        }

        def __init__(self, *, assembly: str=None, method: str=None, level: int=None, line: int=None, **kwargs) -> None:
            super(EventsExceptionDetailsParsedStack, self).__init__(**kwargs)
            self.assembly = assembly
            self.method = method
            self.level = level
            self.line = line